Introduction

Statement Tracer for Oracle is an effective and easy-to-use solution for debugging programs interfacing with the Oracle RDBMS.

Statement Tracer presents requests history log for any application that requires SQL*Net or Net8 to access Oracle server. The layout of this log is very convenient and easy to read.

With this solution you don't have to ask your database administrator for help or to browse huge trace files every time when you want to know what a particular application does.

Just run the Statement Tracer and you will get all the information you need.

© 2002 Above Software. All rights reserved.


End User License Agreement

Statement Tracer for Oracle: License Agreement

LICENSE AGREEMENT

ATTENTION: This License Agreement is a legal agreement between you (either an individual or a single entity) and Above Software. It defines what you may do with the product and contains limitations on warranties and/or remedies. Above Software grants this license for all products purchased either directly or though any authorized agent of the company.

IMPORTANT: CAREFULLY READ THIS LICENSE BEFORE USING THIS PRODUCT. INSTALLING, COPYING, OR OTHERWISE USING THIS PRODUCT INDICATES YOUR ACKNOWLEDGMENT THAT YOU HAVE READ THIS LICENSE AND AGREE TO ITS TERMS.

A. ABOVE SOFTWARE WILL:

Provide you with a computer program (hereafter called the "Product"), which may also have "online" or electronic documentation, this license agreement (hereafter called the "License"), and other printed materials (together called the "Product"). Above Software grants you a license to use the Product in accordance with the terms of this agreement. The copyright and all other rights to the Product will remain with us and/or our suppliers.

B. YOU MAY:

1. Install and use unlimited copies of the Product.

2. Copy the Product and share it with any person or public it on BBS, web sites, ftp servers, CD-ROM's and other freely.

C. YOU MAY NOT:

1. Use the Product or make copies of it except as permitted in this License.

2. Translate, reverse engineer, recompile, or disassemble the Product except to the extent the foregoing restriction is expressly prohibited by applicable law.

3. Rent, lease, assign, or transfer the Product except as set out in paragraph B above.

4. Modify the Product or merge all or any part of the Product with another program.

D. TERM:

This License will continue as long as you use the Product. However, it will terminate if you fail to comply with any of its terms or conditions. You must agree, upon termination, to destroy all copies of the Product. The Limitations of Warranties and Liability set out below will continue in force even after any termination.

E. LIMITATION OF WARRANTIES AND LIABILITY:

The Product is provided on an "as is" basis, without any warranties or conditions, expressed or implied. The entire risk as to the results and performance of the product is assumed by you. Neither we nor our suppliers will have any liability to you or any other person or entity for any indirect, incidental, special, or consequential damages whatsoever, including, but not limited to, loss of revenue or profit, lost or damaged data or other commercial or economic loss, even if we have been advised of the possibility of such damages, or they are foreseeable. We are also not responsible for claims by any third party.

F. GENERAL:

This License is the entire agreement between us, superseding any other agreement or discussions, oral or written, and may not be changed except by a signed agreement.


Technical Support

If you experience problems while using Statement Tracer, our technical support team is always ready to help you.

Before You Contact Us

Please, check whether you have the most recent version of Statement Tracer.

Reaching Technical Support

For technical support you can reach us:

  • via e-mail support@aboves.com in it.
  • via online form at www.aboves.com/support.


Using Statement Tracer

This section describes the Statement Tracer basic tasks and settings:

  • Common tasks overview
  • Configuration and settings


Common tasks

Starting monitoring

To start monitoring select 'Options - Start tracing' in the main menu. A separate tab will be added to logging window for each individual application being traced. This will allow fast and convenient switching between them.

Stopping monitoring

Select 'Options - Stop tracing' in the main menu to stop monitoring all applications.

Adding your own messages

You may add your own messages to log. This is useful for using them as breakpoints or for further log analysis.

Cleaning logs

To clean out monitoring log select 'Edit - Clear logs' or press the appropriate button on toolbar. You may also need the feature of removing of inactive applications from the log. You should select 'Edit - Remove inactive' command from the main menu in this case.
Warning: tracing logs for all applications will be cleaned out.

Saving to a file

You can save monitoring log for further study. To save monitoring log to a file select 'File - Save LogsÅ' from the main menu.


Statement Tracer Configuration

Statement Tracer for Oracle: Configuration

Statement Tracer settings

You can select what kind of SQL activities you want to be included in the log:

Transaction control

Transaction operations such as Commit and Rollback

Schema object describe

Gathering information on objects contained in database

Prepared SQL statements

SQL statements sent to server for processing and compilation

Bound parameters

Parameters sent to database server or received from it. You can define which parameters to log:
  • incoming only
  • outgoing only
  • both

Executed SQL statements

SQL statements executed on database server

Fetch operations from server

Data fetching operations from database server

Database error text

Error texts received by the application being traced from the database server


Statement Tracer Tools

Statement Tracer for Oracle: Additional tools

Additional tools

Statement Tracer features additional tools that allow skipping of tiresome manual operations.
  • Coloring agent
  • SQL statements assembler


Statement Tracer Tools - Coloring agent

Statement Tracer for Oracle tools: Coloring agent

Coloring agent

Coloring agent allows visualization of tracing results by making possible to set the background color of various lines of log and the speed of movement between such lines.

Example:

You would like to view all executed procedures, functions and anonymous Pl\SQL blocks calls.

Select 'Options - Colorize Statement' from the main menu or press the button on toolbar. In the dialog window that appears (Colorization settings) press the 'Add' button and type 'begin' in the edit field.

You can select a color by pressing 'Change…' button.

Make sure the 'enable this rule' box is checked.

Press 'OK'.

From that point on all the lines of the log that contain 'begin' will be highlighted with selected color.

You can move from one highlighted line to another using 'Previous highlighted line' and 'Next highlighted line' menu commands or the appropriate toolbar buttons. Alternatively you can use keyboard shortcuts [Ctrl]+[PgUp] and [Ctrl]+[PgDown].


Statement Tracer Tools - SQL Assembler

Statement Tracer for Oracle tools: SQL Assembler

SQL Statements Assembler

Statements Assembler (SA) allows you to get ready-to-execute SQL or Pl\SQL statement by uniting the logged statement with its parameters.

Example:

You would like to know the result of execution of intercepted SQL statement:

Bind (in) name: "DN" type: integer value: 12
Bind (in) name: "DN" type: float value: 30000.0
Execute select * from Emp where DeptNo= :dn and Salary< :sal

Set the cursor to the log line that contains the needed SQL-request and select View - Statement assembler… from the main menu. Alternatively you can press the button on toolbar.

In a window that appears you will see the result of SA operation:

select * from Emp where DeptNo= 12 and Salary< 30000.0

which can then be copied to clipboard by pressing the 'Copy' button